Get Retriever
Get a retriever by ID or name.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Retriever ID or name.
Response
Successful Response
Retriever configuration model exposed via API.
Unique retriever name within namespace (REQUIRED).
1Ordered list of stage configurations (REQUIRED).
1Fusion strategy used by this retriever's feature_search stage (e.g. 'learned', 'rrf', 'dbsf'). Null if no feature_search stage.
Stable retriever identifier (REQUIRED).
Detailed description of retriever behaviour (OPTIONAL).
Collections queried by the retriever. Can be empty for query-only inference mode.
JSON Schema describing expected user inputs (REQUIRED). Properties must use RetrieverInputSchemaField which supports all bucket types plus document_reference.
Execution budget limits for the retriever (OPTIONAL).
{ "max_credits": 100, "max_time_ms": 60000 }{ "max_time_ms": 120000 }Feature addresses required by stages (OPTIONAL, aids validation).
Arbitrary tags to help organise retrievers (OPTIONAL).
Display configuration for public retriever UI rendering (OPTIONAL). Defines how the search interface should appear when the retriever is published, including input fields, theme, layout, exposed result fields, and field formatting. This configuration is used as the default when publishing the retriever.
Version number that increments on each update (REQUIRED).
x >= 1Creation timestamp in UTC (REQUIRED).
Last update timestamp in UTC (REQUIRED).
Identifier of the user who created the retriever (OPTIONAL).
Identifier of the user who last updated the retriever (OPTIONAL).
Whether this retriever is currently published (either as public retriever or in marketplace)
Marketplace listing ID if this retriever is published to the marketplace, None otherwise

